Bokeh
=====

<table>
<tr>
  <td>Release</td>
  <td><img src="https://pypip.in/v/bokeh/badge.png" alt="latest release" /></td>
</tr>
<tr>
  <td>Status</td>
  <td>
    <a href="https://travis-ci.org/bokeh/bokeh">
    <img src="https://travis-ci.org/bokeh/bokeh.svg?branch=master" alt="build status" />
    </a>
  </td>
</tr>
<tr>
  <td>Conda</td>
  <td>
    <a href="http://bokeh.pydata.org/en/latest/docs/installation.html">
    <img src="http://pubbadges.s3-website-us-east-1.amazonaws.com/pkgs-downloads-bokeh.png" alt="conda downloads" />
    </a>
  </td>
</tr>
<tr>
  <td>PyPI</td>
  <td>
    <a href="https://pypi.python.org/pypi/bokeh/">
    <img src="https://pypip.in/download/bokeh/badge.png?period=month" alt="pypi downloads" />
    </a>
  </td>
</tr>
</table>

Bokeh is a Python interactive visualization library that targets modern
web browsers for presentation. Its goal is to provide elegant, concise
construction of novel graphics in the style of D3.js, but also deliver this
capability with high-performance interactivity over very large or streaming
datasets. Bokeh can help anyone who would like to quickly and easily create
interactive plots, dashboards, and data applications.

Please visit the [Bokeh web page](http://bokeh.pydata.org) for more information and full documentation.

To get started quickly, follow the [Quickstart](http://bokeh.pydata.org/en/latest/docs/quickstart.html) in the online documentation, or the QUICKSTART.md located in the top level of the bokeh repository.

Be sure to follow us on Twitter [@bokehplots](http://twitter.com/BokehPlots)!


Interactive gallery
===================


<p>
<table cellspacing="20">
<tr>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/image.html">
  <img alt="image" src="http://bokeh.pydata.org/en/latest/_images/image_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/anscombe.html">
  <img alt="anscombe" src="http://bokeh.pydata.org/en/latest/_images/anscombe_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/stocks.html">
  <img alt="stocks" src="http://bokeh.pydata.org/en/latest/_images/stocks_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/lorenz.html">
  <img alt="lorenz" src="http://bokeh.pydata.org/en/latest/_images/lorenz_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/candlestick.html">
  <img alt="candlestick" src="http://bokeh.pydata.org/en/latest/_images/candlestick_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/color_scatter.html">
  <img alt="scatter" src="http://bokeh.pydata.org/en/latest/_images/scatter_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/iris_splom.html">
  <img alt="splom" src="http://bokeh.pydata.org/en/latest/_images/splom_t.png" />
  </a>
  </td>

</tr>
<tr>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/iris.html">
  <img alt="iris" src="http://bokeh.pydata.org/en/latest/_images/iris_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/histogram.html">
  <img alt="histogram" src="http://bokeh.pydata.org/en/latest/_images/histogram_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/periodic.html">
  <img alt="periodic" src="http://bokeh.pydata.org/en/latest/_images/periodic_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/texas.html">
  <img alt="choropleth" src="http://bokeh.pydata.org/en/latest/_images/choropleth_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/burtin.html">
  <img alt="burtin" src="http://bokeh.pydata.org/en/latest/_images/burtin_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/streamline.html">
  <img alt="streamline" src="http://bokeh.pydata.org/en/latest/_images/streamline_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/image_rgba.html">
  <img alt="image_rgba" src="http://bokeh.pydata.org/en/latest/_images/image_rgba_t.png" />
  </a>
  </td>

</tr>
<tr>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/brewer.html">
  <img alt="stacked" src="http://bokeh.pydata.org/en/latest/_images/stacked_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/quiver.html">
  <img alt="quiver" src="http://bokeh.pydata.org/en/latest/_images/quiver_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/elements.html">
  <img alt="elements" src="http://bokeh.pydata.org/en/latest/_images/elements_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/boxplot.html">
  <img alt="boxplot" src="http://bokeh.pydata.org/en/latest/_images/boxplot_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/categorical.html">
  <img alt="categorical" src="http://bokeh.pydata.org/en/latest/_images/categorical_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/unemployment.html">
  <img alt="unemployment" src="http://bokeh.pydata.org/en/latest/_images/unemployment_t.png" />
  </a>
  </td>

  <td>
  <a href="http://bokeh.pydata.org/en/latest/docs/gallery/les_mis.html">
  <img alt="les_mis" src="http://bokeh.pydata.org/en/latest/_images/les_mis_t.png" />
  </a>
  </td>

</tr>
</table>
</p>


